Last Comment Bug 781281 - segfault in mediapipeline_unittest
: segfault in mediapipeline_unittest
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: WebRTC: Networking (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 11:25 PDT by Ralph Giles (:rillian) needinfo me
Modified: 2012-09-14 08:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch by ehugg (1.80 KB, patch)
2012-08-08 11:30 PDT, Ralph Giles (:rillian) needinfo me
giles: review-
Details | Diff | Splinter Review

Description Ralph Giles (:rillian) needinfo me 2012-08-08 11:25:44 PDT
mediapipeline_unittest segfaults on linux.
Comment 1 Ralph Giles (:rillian) needinfo me 2012-08-08 11:29:30 PDT
backtrace:

    Program received signal SIGSEGV, Segmentation fault.
    0x00000000004db90e in TransportLayer::state (this=0xa5a5a5a5a5a5a5a5)
        at /home/giles/mozilla/mozilla-webrtc/media/mtransport/transportlayer.h:55
    55        State state() const { return state_; }
    Missing separate debuginfos, use: debuginfo-install alsa-lib-1.0.25-3.fc17.x86_64 alsa-plugins-pulseaudio-1.0.25-3.fc17.x86_64 atk-2.4.0-1.fc17.x86_64 cairo-1.10.2-7.fc17.x86_64 dbus-glib-0.98-2.fc17.x86_64 expat-2.1.0-1.fc17.x86_64 fontconfig-2.8.0-7.fc17.x86_64 freetype-2.4.8-3.fc17.x86_64 gdk-pixbuf2-2.26.1-1.fc17.x86_64 glib2-2.32.4-1.fc17.x86_64 gsm-1.0.13-6.fc17.x86_64 gtk2-2.24.11-1.fc17.x86_64 json-c-0.9-4.fc17.x86_64 libXau-1.0.6-3.fc17.x86_64 libXcomposite-0.4.3-3.fc17.x86_64 libXcursor-1.1.13-1.fc17.x86_64 libXdamage-1.1.3-3.fc17.x86_64 libXext-1.3.1-1.fc17.x86_64 libXfixes-5.0-2.fc17.x86_64 libXi-1.6.1-1.fc17.x86_64 libXinerama-1.1.2-1.fc17.x86_64 libXrandr-1.3.1-3.fc17.x86_64 libXrender-0.9.7-1.fc17.x86_64 libXt-1.1.2-2.fc17.x86_64 libffi-3.0.10-2.fc17.x86_64 libpng-1.5.10-1.fc17.x86_64 libselinux-2.1.10-3.fc17.x86_64 pango-1.30.0-1.fc17.x86_64 pixman-0.24.4-2.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
    (gdb) bt
    #0  0x00000000004db90e in TransportLayer::state (this=0xa5a5a5a5a5a5a5a5)
        at /home/giles/mozilla/mozilla-webrtc/media/mtransport/transportlayer.h:55
    #1  0x00000000004dbc8f in TransportFlow::state (this=0x7ffff1a5a3a0)
        at /home/giles/mozilla/mozilla-webrtc/obj-x86_64-unknown-linux-gnu/media/mtransport/standalone/transportflow.cpp:54
    #2  0x000000000053d4ff in mozilla::MediaPipeline::Init (this=0x7fffe7531480)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/src/mediapipeline/MediaPipeline.cpp:45
    #3  0x00000000004b26c8 in mozilla::MediaPipeline::MediaPipeline (this=
        0x7fffe7531480, direction=mozilla::MediaPipeline::TRANSMIT, main_thread=
        ..., stream=0x7fffe7582f10, conduit=..., rtp_transport=..., rtcp_transport=
        ...)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/src/mediapipeline/MediaPipeline.h:61
    #4  0x00000000004b2a3d in mozilla::MediaPipelineTransmit::MediaPipelineTransmit
        (this=0x7fffe7531480, main_thread=..., stream=0x7fffe7582f10, conduit=...,
        rtp_transport=..., rtcp_transport=...)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/src/mediapipeline/MediaPipeline.h:148
    #5  0x00000000004b431a in (anonymous namespace)::TestAgentSend::TestAgentSend (
        this=0x7fffea217160)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/test/mediapipeline_unittest.cpp:132
    #6  0x00000000004b4760 in (anonymous namespace)::MediaPipelineTest::MediaPipelineTest (this=0x7fffea217140)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/test/mediapipeline_unittest.cpp:176
    #7  0x00000000004b4962 in (anonymous namespace)::MediaPipelineTest_AudioSend_Test::MediaPipelineTest_AudioSend_Test (this=0x7fffea217140)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/test/mediapipeline_unittest.cpp:194
    #8  0x00000000004bd226 in testing::internal::TestFactoryImpl<{anonymous}::MediaPipelineTest_AudioSend_Test>::CreateTest(void) (this=0x7ffff1a09100)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/include/gtest/internal/gtest-internal.h:529
    #9  0x00000000011ed4e7 in testing::internal::HandleSehExceptionsInMethodIfSupported<testing::internal::TestFactoryBase, testing::Test*> (object=
        0x7ffff1a09100, method=&virtual table offset 16, location=
        0x13a0c48 "the test fixture's constructor")
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2090
    #10 0x00000000011ea671 in testing::internal::HandleExceptionsInMethodIfSupported<testing::internal::TestFactoryBase, testing::Test*> (object=0x7ffff1a09100,
        method=&virtual table offset 16, location=
        0x13a0c48 "the test fixture's constructor")
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2142
    #11 0x00000000011e1f3b in testing::TestInfo::Run (this=0x7ffff1a13190)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2331
    #12 0x00000000011e2460 in testing::TestCase::Run (this=0x7ffff1a2d080)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2445
    #13 0x00000000011e759c in testing::internal::UnitTestImpl::RunAllTests (this=
        0x7ffff1a26160)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:4237
    #14 0x00000000011edfaa in testing::internal::HandleSehExceptionsInMethodIfSupported<testing::internal::UnitTestImpl, bool> (object=0x7ffff1a26160, method=
        (bool (testing::internal::UnitTestImpl::*)(testing::internal::UnitTestImpl * const)) 0x11e7326 <testing::internal::UnitTestImpl::RunAllTests()>, location=
        0x13a1528 "auxiliary test code (environments or event listeners)")
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2090
    #15 0x00000000011eae3a in testing::internal::HandleExceptionsInMethodIfSupported<testing::internal::UnitTestImpl, bool> (object=0x7ffff1a26160, method=
        (bool (testing::internal::UnitTestImpl::*)(testing::internal::UnitTestImpl * const)) 0x11e7326 <testing::internal::UnitTestImpl::RunAllTests()>, location=
        0x13a1528 "auxiliary test code (environments or event listeners)")
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:2142
    #16 0x00000000011e661f in testing::UnitTest::Run (this=0x1966760)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/trunk/testing/gtest/src/gtest.cc:3874
    #17 0x00000000004b4a31 in main (argc=1, argv=0x7fffffffdff8)
        at /home/giles/mozilla/mozilla-webrtc/media/webrtc/signaling/test/mediapipeline_unittest.cpp:212
Comment 2 Ralph Giles (:rillian) needinfo me 2012-08-08 11:30:43 PDT
Created attachment 650220 [details] [diff] [review]
patch by ehugg

Ethan's patch fixes it for me. Ok to push?
Comment 3 Ralph Giles (:rillian) needinfo me 2012-08-13 12:38:07 PDT
ekr committed a similar fix in http://hg.mozilla.org/projects/alder/rev/6fa2c507fb87
Comment 4 Ralph Giles (:rillian) needinfo me 2012-09-14 08:19:12 PDT
Comment on attachment 650220 [details] [diff] [review]
patch by ehugg

Just trying to get this out of my request list.

Note You need to log in before you can comment on or make changes to this bug.